Autor Tema: Error de actualizacion Pilaga 3.1.4 a 3.2.4  (Leído 1188 veces)

0 Usuarios y 1 Visitante están viendo este tema.

jbquilaman

  • Sr. Member
  • ****
  • Mensajes: 261
    • Ver Perfil
  • Institución: IUPA
  • Nombre y apellido: Jorge Quilaman
  • Sistema: Mapuche, Pilaga
Error de actualizacion Pilaga 3.1.4 a 3.2.4
« on: Diciembre 20, 2018, 09:22:35 am »
buenos dias, estamos haciendo la actualizacion de version de pilaga en nuestra institucion
y cuando comenzamos a hacer la actualizacion tenemos el siguiente problema:

sudo composer install
sudo: imposible resolver el anfitrión Pilaga2017Produccion
Loading composer repositories with package information
Installing dependencies (including require-dev) from lock file
  - Installing cakephp/collection (3.6.12)
    Downloading: 100%         
    Downloading: 100%         
    Downloading: 100%         
    Failed to download cakephp/collection from dist: The "https://api.github.com/repos/cakephp/collection/zipball/c5b3a3561eb92a5c25ffcc90ad3a1f193962065f" file could not be downloaded: SSL operation failed with code 1. OpenSSL Error messages:
error:1416F086:SSL routines:tls_process_server_certificate:certificate verify failed
Failed to enable crypto
failed to open stream: operation failed
    Now trying to download from source
  - Installing cakephp/collection (3.6.12)
    Cloning c5b3a3561eb92a5c25ffcc90ad3a1f193962065f
The authenticity of host 'github.com (192.30.253.112)' can't be established.
RSA key fingerprint is SHA256:uM2mfMilQqWWCc5W/G+TWCzmhjeLfq0JfNGVCT0XKeQ.
Are you sure you want to continue connecting (yes/no)? yes

  - Installing cakephp/core (3.6.12)
    Downloading: 100%         
    Downloading: 100%         
    Downloading: 100%         
    Failed to download cakephp/core from dist: The "https://api.github.com/repos/cakephp/core/zipball/82741aeb90ca2fbbf9fbbd507d56d53b081db237" file could not be downloaded: SSL operation failed with code 1. OpenSSL Error messages:
error:1416F086:SSL routines:tls_process_server_certificate:certificate verify failed
Failed to enable crypto
failed to open stream: operation failed
    Now trying to download from source
  - Installing cakephp/core (3.6.12)
    Cloning 82741aeb90ca2fbbf9fbbd507d56d53b081db237

  ...


  - Installing simplesamlphp/saml2 (v3.2.2)
    Downloading: 100%         
    Downloading: 100%         
    Downloading: 100%         
    Failed to download simplesamlphp/saml2 from dist: The "https://api.github.com/repos/simplesamlphp/saml2/zipball/b3a040ec186f4a3749228b8c13642c5295fc451b" file could not be downloaded: SSL operation failed with code 1. OpenSSL Error messages:
error:1416F086:SSL routines:tls_process_server_certificate:certificate verify failed
Failed to enable crypto
failed to open stream: operation failed
    Now trying to download from source
  - Installing simplesamlphp/saml2 (v3.2.2)
    Cloning b3a040ec186f4a3749228b8c13642c5295fc451b

  - Installing siu-si-libs/datum (1.0.6)
    Cloning 2b47ac57886d29f7f820d39cfa3b2f6b965c198e

                                                                                                                                                     
  [RuntimeException]                                                                                                                                 
  Failed to execute git clone --no-checkout 'https://gitlab.siu.edu.ar/siu-si-libs/datum.git' '/home/soporte/SIU-Pilaga_3.2.4/vendor/siu-si-libs/da 
  tum' && cd '/home/soporte/SIU-Pilaga_3.2.4/vendor/siu-si-libs/datum' && git remote add composer 'https://gitlab.siu.edu.ar/siu-si-libs/datum.git
   && git fetch composer                                                                                                                             
  Cloning into '/home/soporte/SIU-Pilaga_3.2.4/vendor/siu-si-libs/datum'...                                                                         
  fatal: unable to access 'https://gitlab.siu.edu.ar/siu-si-libs/datum.git/': server certificate verification failed. CAfile: /etc/ssl/certs/ca-cer 
  tificates.crt CRLfile: none                                                                                                                       
                                                                                                                                                     

install [--prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--no-plugins] [--no-custom-installers] [--no-autoloader] [--no-scripts] [--no-progress] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader] [-a|--classmap-authoritative] [--ignore-platform-reqs] [--] [<packages>]...

Lucas Martini

  • Administrador
  • *****
  • Mensajes: 1052
    • Ver Perfil
    • Email
  • Nombre y apellido: Lucas Martini
Re:Error de actualizacion Pilaga 3.1.4 a 3.2.4
« Respuesta #1 on: Diciembre 20, 2018, 10:53:14 am »
Es muy raro.
Te esta rechazando varios SSL validos como el de github y gitlab

Se me ocurren 2 posibles causas.
A) Tenes la fecha cambiada en el server y ve el certificado como vencido (o como validado a futuro)
En este caso pones la fecha de hoy y sale andando.
B) Tenes un proxy o algo metido en el medio que esta atajando las peticiones con un certificado autofirmado o trucho
Aca la solución es forzarle a composer que ignore los certificados. Habria que revisar la documentación pero debe ser algo del estilo "disable certs" en el composer.json

Fijate y avisame
Saludos!
« Última Modificación: Diciembre 20, 2018, 10:54:48 am por lmartini »

jbquilaman

  • Sr. Member
  • ****
  • Mensajes: 261
    • Ver Perfil
  • Institución: IUPA
  • Nombre y apellido: Jorge Quilaman
  • Sistema: Mapuche, Pilaga
Re:Error de actualizacion Pilaga 3.1.4 a 3.2.4
« Respuesta #2 on: Diciembre 20, 2018, 11:28:49 am »
Hola, si tenia la fecha equivocada!!! muchas gracias!

jbquilaman

  • Sr. Member
  • ****
  • Mensajes: 261
    • Ver Perfil
  • Institución: IUPA
  • Nombre y apellido: Jorge Quilaman
  • Sistema: Mapuche, Pilaga
Re:Error de actualizacion Pilaga 3.1.4 a 3.2.4
« Respuesta #3 on: Diciembre 20, 2018, 11:34:34 am »
Hola, el error me permitio continuar pero despues me salio el siguiente error


                                                                                                                                                     
  [RuntimeException]                                                                                                                                 
  Failed to execute git clone --no-checkout 'https://gitlab.siu.edu.ar/siu/instalador.git' '/home/soporte/SIU-Pilaga_3.2.4/vendor/siu/instalador' & 
  & cd '/home/soporte/SIU-Pilaga_3.2.4/vendor/siu/instalador' && git remote add composer 'https://gitlab.siu.edu.ar/siu/instalador.git' && git fetc 
  h composer                                                                                                                                         
  Cloning into '/home/soporte/SIU-Pilaga_3.2.4/vendor/siu/instalador'...                                                                             
  fatal: unable to access 'https://gitlab.siu.edu.ar/siu/instalador.git/': gnutls_handshake() failed: The TLS connection was non-properly terminate 
  d.                                                                                                                                                 
                                                                                                                                                     


Lucas Martini

  • Administrador
  • *****
  • Mensajes: 1052
    • Ver Perfil
    • Email
  • Nombre y apellido: Lucas Martini
Re:Error de actualizacion Pilaga 3.1.4 a 3.2.4
« Respuesta #4 on: Diciembre 20, 2018, 12:23:58 pm »
Sospecho que tenes algo en el medio haciendo ruido.

Proba por separado
GIT_CURL_VERBOSE=1 git clone --no-checkout 'https://gitlab.siu.edu.ar/siu/instalador.git'
y mandame el resultado.

Saludos!

jbquilaman

  • Sr. Member
  • ****
  • Mensajes: 261
    • Ver Perfil
  • Institución: IUPA
  • Nombre y apellido: Jorge Quilaman
  • Sistema: Mapuche, Pilaga
Re:Error de actualizacion Pilaga 3.1.4 a 3.2.4
« Respuesta #5 on: Diciembre 20, 2018, 01:10:20 pm »
Hola corri el comando me dio el siguiente resultado

GIT_CURL_VERBOSE=1 git clone --no-checkout 'https://gitlab.siu.edu.ar/siu/instalador.git'
Clonar en «instalador»...
* Couldn't find host gitlab.siu.edu.ar in the .netrc file; using defaults
*   Trying 200.123.128.66...
* Connected to gitlab.siu.edu.ar (200.123.128.66) port 443 (#0)
* found 148 certificates in /etc/ssl/certs/ca-certificates.crt
* found 596 certificates in /etc/ssl/certs
* ALPN, offering http/1.1
* SSL connection using TLS1.2 / ECDHE_RSA_AES_256_GCM_SHA384
*     server certificate verification OK
*     server certificate status verification SKIPPED
*     common name: gitlab.siu.edu.ar (matched)
*     server certificate expiration date OK
*     server certificate activation date OK
*     certificate public key: RSA
*     certificate version: #3
*     subject: CN=gitlab.siu.edu.ar
*     start date: Thu, 01 Nov 2018 02:00:16 GMT
*     expire date: Wed, 30 Jan 2019 02:00:16 GMT
*     issuer: C=US,O=Let's Encrypt,CN=Let's Encrypt Authority X3
*     compression: NULL
* ALPN, server accepted to use http/1.1
> GET /siu/instalador.git/info/refs?service=git-upload-pack HTTP/1.1
Host: gitlab.siu.edu.ar
User-Agent: git/2.7.4
Accept: */*
Accept-Encoding: gzip
Accept-Language: es-AR, es;q=0.9, *;q=0.8
Pragma: no-cache

< HTTP/1.1 200 OK
< Server: nginx
< Date: Thu, 20 Dec 2018 16:05:19 GMT
< Content-Type: application/x-git-upload-pack-advertisement
< Transfer-Encoding: chunked
< Connection: keep-alive
< Cache-Control: no-cache
< Strict-Transport-Security: max-age=31536000
<
* Connection #0 to host gitlab.siu.edu.ar left intact
* Couldn't find host gitlab.siu.edu.ar in the .netrc file; using defaults
* Found bundle for host gitlab.siu.edu.ar: 0x26b4440 [can pipeline]
* Re-using existing connection! (#0) with host gitlab.siu.edu.ar
* Connected to gitlab.siu.edu.ar (200.123.128.66) port 443 (#0)
> POST /siu/instalador.git/git-upload-pack HTTP/1.1
Host: gitlab.siu.edu.ar
User-Agent: git/2.7.4
Accept-Encoding: gzip
Content-Type: application/x-git-upload-pack-request
Accept: application/x-git-upload-pack-result
Content-Encoding: gzip
Content-Length: 898

* upload completely sent off: 898 out of 898 bytes
< HTTP/1.1 200 OK
< Server: nginx
< Date: Thu, 20 Dec 2018 16:05:19 GMT
< Content-Type: application/x-git-upload-pack-result
< Transfer-Encoding: chunked
< Connection: keep-alive
< Cache-Control: no-cache
< Strict-Transport-Security: max-age=31536000
<
remote: Enumerating objects: 5170, done.
remote: Counting objects: 100% (5170/5170), done.
remote: Compressing objects: 100% (1207/1207), done.
* remote: Total 5170 (delta 3022), reused 5049 (delta 2931)
Connection #0 to host gitlab.siu.edu.ar left intact
Receiving objects: 100% (5170/5170), 679.64 KiB | 936.00 KiB/s, done.
Resolving deltas: 100% (3022/3022), done.
Comprobando la conectividad… hecho.

Y luego corri nuevamente el comando composer install
.... Y me dio este error


 composer run-script post-install-cmd -d ./vendor/siu-toba/framework/
> bower install --allow-root
sh: 1: bower: not found
Script bower install --allow-root handling the post-install-cmd event returned with an error

                                         
  [RuntimeException]                     
  Error Output: sh: 1: bower: not found 
                                         

run-script [--timeout TIMEOUT] [--dev] [--no-dev] [-l|--list] [--] [<script>] [<args>]...

Script composer run-script post-install-cmd -d ./vendor/siu-toba/framework/ handling the post-install-cmd event returned with an error

                                                                                               
  [RuntimeException]                                                                           
  Error Output: > bower install --allow-root                                                   
  Script bower install --allow-root handling the post-install-cmd event returned with an error 
                                                                                               
    [RuntimeException]                                                                         
    Error Output: sh: 1: bower: not found                                                       
                                                                                               
  run-script [--timeout TIMEOUT] [--dev] [--no-dev] [-l|--list] [--] [<script>] [<args>]...     
                                                                                               

install [--prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--no-plugins] [--no-custom-installers] [--no-autoloader] [--no-scripts] [--no-progress] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader] [-a|--classmap-authoritative] [--ignore-platform-reqs] [--] [<packages>]...

Lucas Martini

  • Administrador
  • *****
  • Mensajes: 1052
    • Ver Perfil
    • Email
  • Nombre y apellido: Lucas Martini
Re:Error de actualizacion Pilaga 3.1.4 a 3.2.4
« Respuesta #6 on: Diciembre 20, 2018, 01:30:50 pm »
Vamos por parte.
El git clone no muestra ningún error. no se que habra pasado antes pero ya está funcionando.

Ahora te falta la parte de bower. No se que proyecto estas instalando y que  documentación estas siguiendo pero fijate que  en alguna parte tiene que explicar como instalar bower, npm o nodejs (cambia depende el SO)

En Debian es algo asi  (puede fallar)
Código: [Seleccionar]
sudo apt-get install software-properties-common
curl -sL https://deb.nodesource.com/setup_9.x | sudo -E bash -
sudo apt-get install nodejs
sudo npm install -g bower

jbquilaman

  • Sr. Member
  • ****
  • Mensajes: 261
    • Ver Perfil
  • Institución: IUPA
  • Nombre y apellido: Jorge Quilaman
  • Sistema: Mapuche, Pilaga
Re:Error de actualizacion Pilaga 3.1.4 a 3.2.4
« Respuesta #7 on: Diciembre 20, 2018, 02:03:29 pm »
gracias!!! pude pasar el comando

composer install
sin error!